<?php
/******************************************************************************
	Files(WEBե붦ͭPHPץ)
	Files(WEB file share PHP script)

	ͭե˥塼
	Shared folder setting menu

  	confmenu.php

	Written by:	Takashi Miyagi

	Copyright (c) 2004-2007 Technoworks Co., Ltd. All rights reserved.

	Update:

	Ver.2.1
		եɲ
		The configuration file arrangement setting is added.

	Ver.2.0
		ɽʸ locale.php 褦˽
		The display character string was acquired from locale.php. 

		ʸɤλ locale.php 褦˽
		The specification of the character-code was acquired from locale.php.

		ͭԤȥ롼פˤ륢浡ǽղ
		The access control function by the group is added with the owner. 

		HTMLʬˣХʸѤʤ褦˽
		֥饦ʸɼưȽ̤˱ƶʤ褦ˤ뤿
		To make it not misidentified by the character-code automatic operation 
		identification of a browser, it was corrected that Japanese was not 
		used for the HTML part. 

	Ver.1.4 ޤǤι
	Update history to Ver.1.4
		2005/08/02	̤Υڡإåʬؿɲ
					A common page header partial function is added. 
******************************************************************************/

require('files_com.php');

$conf = init_files(FALSE);

$scriptname = "confmenu.php";

$s_name = files_session_name();
$s_id = session_id();

?>

<HTML>
<HEAD>
<?php echo get_charset_line(); ?>
<TITLE><?php echo $conf["HEADER_TITLE"] ?></TITLE>
</HEAD>
<BODY <?php echo get_body_bg_str($conf); ?>>

<!-- Getting Page header HTML -->
<?php echo get_page_header_HTML($conf, "", FALSE, $conf["SHOW_HELP_LINK"]); ?>

<CENTER>
<HR>
<TABLE><TR><TD>
<UL>
<?php
	$setconf_url = "setconf.php";
	$setconf_url .= "?config=" . conv_url_code($conf["config"]);
	$setconf_url .= "&return_url=" . $conf["CONFMENU_SCRIPT"];
	$setconf_url .= "&" . $s_name . "=" . $s_id;

	$dirlist_url = $conf["DIRLIST_SCRIPT"];
	$dirlist_url .= "?config=" . conv_url_code($conf["config"]);
	$dirlist_url .= "&return_url=" . $conf["CONFMENU_SCRIPT"];
	$dirlist_url .= "&" . $s_name . "=" . $s_id;

	$newconf_url = $conf["NEWCONF_SCRIPT"];
	$newconf_url .= "?config=" . conv_url_code($conf["config"]);
	$newconf_url .= "&return_url=" . $conf["CONFMENU_SCRIPT"];
	$newconf_url .= "&" . $s_name . "=" . $s_id;

	$login_url = $conf["LOGIN_SCRIPT"] . "?config=" . $conf["config"];
?>

	<LI><A HREF="<?php echo $setconf_url; ?>">
				<?php echo get_txt("config file placement setting"); ?></A><br><br>
<?php
	//ѥؤΥ󥯤
	//Making The link to the password setting.
	if (isset($conf["PASSWD_FILE"]) && $conf["PASSWD_FILE"] != "") {
		$pwdurl = $conf["PASSWD_SCRIPT"];
		$pwdurl .= "?config=" . conv_url_code($conf["config"]);
		$pwdurl .= "&return_url=" . $conf["CONFMENU_SCRIPT"];
		$pwdurl .= "&" . $s_name . "=" . $s_id;
		echo "<LI><A HREF=\"" . $pwdurl . "\">" .
					get_txt("password setting") . "</A><br><br>";
	}
?>
	<LI><A HREF="<?php echo $dirlist_url; ?>">
					<?php echo get_txt("shared folder list"); ?></A><br><br>
	<LI><A HREF="<?php echo $newconf_url ?>">
					<?php echo get_txt("create shared folder"); ?></A><br><br>
	<LI><A HREF="<?php echo $login_url ?>">
					<?php echo get_txt("login page"); ?></A><br><br>
</UL>
</TD></TR></TABLE>
<HR>
<?php

//裱裲ؤΥ󥯤ɽHTML
//Making link to the previous page.
echo get_return_url_HTML($conf);

//ڡեåʥץࡦСCopyrightɽ
//Page footer(program version and Copyright display)
echo get_page_footer_HTML($conf);

?>
</CENTER>
</BODY>
</HTML>
